package com.backendsys.service.Cms;

import com.backendsys.entity.Cms.CmsBannerDTO;

import java.util.Map;

public interface CmsBannerService<T> {
    Map<String, Object> queryBanner(Integer pageNum, Integer pageSize, CmsBannerDTO cmsBannerDTO);
    Map<String, Object> queryBannerDetail(Long article_id);
    Map<String, Object> insertBanner(CmsBannerDTO cmsBannerDTO);
    Map<String, Object> updateBanner(CmsBannerDTO cmsBannerDTO);
    Map<String, Object> deleteBanner(CmsBannerDTO cmsBannerDTO);
}
